List workflow steps
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/workflowSteps \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/workflowSteps"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/workflowSteps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"abbr": "<string>",
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
],
"numberOfElements": 123,
"pageNumber": 123,
"pageSize": 123,
"sort": {
"orders": [
{
"direction": "ASC",
"property": "<string>"
}
]
},
"totalElements": 123,
"totalPages": 123
}Workflow Step
List workflow steps
Accessible to ADMIN, PROJECT_MANAGER, GUEST, and LINGUIST roles. Returns 403 if the organization plan does not support workflow steps.
GET
/
api2
/
v1
/
workflowSteps
List workflow steps
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Page number, starting with 0, default 0
Required range:
x >= 0Page size, accepts values between 1 and 50, default 50
Required range:
1 <= x <= 50Sort field
Available options:
ID, NAME, ORDER, ABBR Sort direction
Available options:
ASC, DESC Filter by name of the workflow step
Filter by abbreviation of the workflow step
Was this page helpful?